Bug 11651 - Stardard output from Tomcat server is not displayed in output window.
Stardard output from Tomcat server is not displayed in output window.
Status: CLOSED FIXED
Product: javaee
Classification: Unclassified
Component: Code
3.x
PC All
: P1 (vote)
: 3.x
Assigned To: Damian Frach
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-23 10:01 UTC by Marek Fukala
Modified: 2003-07-02 08:27 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2001-04-23 10:01:43 UTC
[010421]
Try to put following code into a JSP page and execute it:

<%
System.out.println("hello");
%>

the message is not printed into output window during execution of the page.
Comment 1 Petr Jiricka 2001-05-05 20:28:37 UTC
The workaround is to use System.err. This works.

Equally, exception.printStackTrace() or Thread.dumpStack() work.
Comment 2 Jan Chalupa 2001-05-06 15:48:26 UTC
Target milestone -> 3.3
Comment 3 Petr Jiricka 2001-05-07 08:34:21 UTC
Upgrading to P2, as this can hang the server.
Comment 4 Ana.von Klopp 2001-05-10 02:53:58 UTC
The behaviour can cause the server and the IDE to hang on Windows. It 
is not possible to run a web application which refers to a bean that
includes printout statements for instance (CDShopCart tutorial 
application delete from cart can cause this). 
Comment 5 Petr Jiricka 2001-05-11 15:03:42 UTC
Fixed on 11-May-2001
Comment 6 L Martinek 2001-05-14 10:22:34 UTC
verified in 010512
Comment 7 Quality Engineering 2003-07-02 08:27:27 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo